Debian Bug report logs - #668622
hledger-web fails to start complaining about static files

version graph

Package: hledger-web; Maintainer for hledger-web is Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>; Source for hledger-web is src:haskell-hledger-web.

Reported by: Olivier Le Brouster <olb@nebkha.net>

Date: Fri, 13 Apr 2012 14:54:09 UTC

Severity: grave

Found in version haskell-hledger-web/0.17.2~0307-1

Fixed in version haskell-hledger-web/0.17.2~0307-2

Done: Clint Adams <clint@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>:
Bug#668622; Package hledger-web. (Fri, 13 Apr 2012 14:54:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to Olivier Le Brouster <olb@nebkha.net>:
New Bug report received and forwarded. Copy sent to Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>. (Fri, 13 Apr 2012 14:54:23 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Olivier Le Brouster <olb@nebkha.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: hledger-web fails to start complaining about static files
Date: Fri, 13 Apr 2012 16:51:07 +0200
Package: hledger-web
Version: 0.17.2~0307-1
Severity: grave
Justification: renders package unusable

Dear Maintainer,

It seems hledger-web fails to start complaining about static files :

    $ hledger-web 
    Starting http server on port 5000 with base url http://localhost:5000
    hledger-web: static: getDirectoryContents: does not exist (No such file or directory)

Regards.
--
Olivier

-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (990, 'testing'), (210, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 3.2.0-2-amd64 (SMP w/4 CPU cores)
Locale: LANG=fr_FR.utf8, LC_CTYPE=fr_FR.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages hledger-web depends on:
ii  libc6        2.13-27
ii  libffi5      3.0.10-3
ii  libgmp10     2:5.0.4+dfsg-1
ii  libncurses5  5.9-4
ii  libtinfo5    5.9-4
ii  libyaml-0-2  0.1.4-2
ii  zlib1g       1:1.2.6.dfsg-2

hledger-web recommends no packages.

hledger-web suggests no packages.




Reply sent to Clint Adams <clint@debian.org>:
You have taken responsibility. (Sat, 21 Apr 2012 17:21:07 GMT) Full text and rfc822 format available.

Notification sent to Olivier Le Brouster <olb@nebkha.net>:
Bug acknowledged by developer. (Sat, 21 Apr 2012 17:21:07 GMT) Full text and rfc822 format available.

Message #10 received at 668622-close@bugs.debian.org (full text, mbox):

From: Clint Adams <clint@debian.org>
To: 668622-close@bugs.debian.org
Subject: Bug#668622: fixed in haskell-hledger-web 0.17.2~0307-2
Date: Sat, 21 Apr 2012 17:17:13 +0000
Source: haskell-hledger-web
Source-Version: 0.17.2~0307-2

We believe that the bug you reported is fixed in the latest version of
haskell-hledger-web, which is due to be installed in the Debian FTP archive:

haskell-hledger-web_0.17.2~0307-2.debian.tar.gz
  to main/h/haskell-hledger-web/haskell-hledger-web_0.17.2~0307-2.debian.tar.gz
haskell-hledger-web_0.17.2~0307-2.dsc
  to main/h/haskell-hledger-web/haskell-hledger-web_0.17.2~0307-2.dsc
hledger-web_0.17.2~0307-2_amd64.deb
  to main/h/haskell-hledger-web/hledger-web_0.17.2~0307-2_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 668622@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Clint Adams <clint@debian.org> (supplier of updated haskell-hledger-web package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Sat, 21 Apr 2012 12:18:56 -0400
Source: haskell-hledger-web
Binary: hledger-web
Architecture: source amd64
Version: 0.17.2~0307-2
Distribution: unstable
Urgency: low
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Changed-By: Clint Adams <clint@debian.org>
Description: 
 hledger-web - web interface for the hledger accounting tool
Closes: 668622
Changes: 
 haskell-hledger-web (0.17.2~0307-2) unstable; urgency=low
 .
   * Embed static content in hledger-web binary.  closes: #668622.
Checksums-Sha1: 
 1847c346dfba57b56124836064c6229cdcbbc3de 3472 haskell-hledger-web_0.17.2~0307-2.dsc
 772f444b43fe1b9b6956cd8326d944692d1dd8af 3122 haskell-hledger-web_0.17.2~0307-2.debian.tar.gz
 3db72cca5547405d55884655f11d1cbf3561f6b5 3966504 hledger-web_0.17.2~0307-2_amd64.deb
Checksums-Sha256: 
 dfe392bfa3539746dea88dad33d81ec26e6266bdfff163876db53c5212ad3d53 3472 haskell-hledger-web_0.17.2~0307-2.dsc
 c618954ba8c8099fd81a6409d0aca54c5ea1ae5be4c2f978a341d74c21f36144 3122 haskell-hledger-web_0.17.2~0307-2.debian.tar.gz
 caeac69c159e6a3356f64248001235e077fb7caa447c488350bff2c26526357a 3966504 hledger-web_0.17.2~0307-2_amd64.deb
Files: 
 747bf38da0489e1d2081c4e5a820b1a0 3472 haskell extra haskell-hledger-web_0.17.2~0307-2.dsc
 148a8c35854fe6a5e83ac9bf7699f6bc 3122 haskell extra haskell-hledger-web_0.17.2~0307-2.debian.tar.gz
 4120acf80a910bdd7dfcea5afd1b6f4d 3966504 haskell extra hledger-web_0.17.2~0307-2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)
Comment: Debian!

iQIcBAEBCgAGBQJPkugPAAoJEFWSMx4ZnTio9KkQAIdL/CW7XUNhlQp9HYOID4K4
XtvIDGZCbu2e4WTRVJ+QSCxfUJCy0NfVDjvcxzC5JuGgB30rY75d3BBtPu8GNpEN
SpJ5z+HfKbImHl2W7OhOtXimxnRYWmowY8PVY7jfk+FZL+Rs/6N2LQb57i5xDsJe
HjiZXh4ztHhAuaikqENCfKSD63RdHMklxUBfHbe0ypnmR5kePI0vZoq2OzECQYW4
mO2EB+3VhBW4/4wJci4nZcytKBNCg8EYV7J5MzJ87Ek0o3DGZ184YnYvonqIMkBt
2tyV99cxvsqOVGYFVSP/BLtMj8XOo5L6psY4oYCd1Q6XextHW+50vW+kjp2xYusD
KyJMQjHhPuuXY4VESJKrNTzCHmOKsr/WlVo9Egeh7Wi72vFiFkUzM5KbW4AvCWZf
KDYkwM2z7NSjoJlR3XS5PWgThGP/dBVG+OD09jEfdkOxjyyN6mrpvcG0ZEGkDz6Y
xHysoYvZEx1Qvtgb0IQ988AolLQ0WUDpFYwlxwkHPyeY+jh8mPzhFVCQQ+Bic7vV
QutLN8tJP/JbE2ldAhJG90E7fX4MyRW1KlQjAfYyeJycHqHKZ9rqz699/BCvjzME
+TPmiFlVk/KvHWuN8DB8rENuURVaMoLfl3e7UtM3ZfiHhfzcpGIU88RRiAjEqiSZ
3qWIVS6rErKeZbFk0LRG
=hzB8
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 30 May 2012 07:34:43 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 13:26:32 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.